import com.bailuntec.domain.entity.JobPointLog;
import com.bailuntec.job.SyncCostFirstFinishJob;
import com.bailuntec.job.SyncCostFirstJob;
import org.junit.jupiter.api.Test;

import java.time.LocalDateTime;

public class SyncCostFirstTest {

    @Test
    public void test() {
        SyncCostFirstJob syncCostFirstJob = new SyncCostFirstJob();
        JobPointLog jobPointLog = new JobPointLog("base-sync-cost-first", 1, 1, 1, 1,
                LocalDateTime.of(2021,12,8,15,40,0),
                LocalDateTime.of(2021,12,8,15,50,0));
        syncCostFirstJob.executeJob(null, jobPointLog);
    }

    @Test
    public void test2() {
        SyncCostFirstFinishJob syncCostFirstFinishJob = new SyncCostFirstFinishJob();
        JobPointLog jobPointLog = new JobPointLog("base-sync-cost-first-finish", 1, 1, 1, 1,
                LocalDateTime.of(2022,01,18,2,00,0),
                LocalDateTime.of(2022,01,18,2,01,0));
        syncCostFirstFinishJob.executeJob(null, jobPointLog);
    }
}
